/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2022 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f1xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define KeyOk_Pin GPIO_PIN_13
#define KeyOk_GPIO_Port GPIOC
#define KeyOk_EXTI_IRQn EXTI15_10_IRQn
#define LED1_Pin GPIO_PIN_6
#define LED1_GPIO_Port GPIOF
#define LED2_Pin GPIO_PIN_7
#define LED2_GPIO_Port GPIOF
#define LED3_Pin GPIO_PIN_8
#define LED3_GPIO_Port GPIOF
#define LED4_Pin GPIO_PIN_9
#define LED4_GPIO_Port GPIOF
#define KeyRe_Pin GPIO_PIN_0
#define KeyRe_GPIO_Port GPIOA
#define KeyRe_EXTI_IRQn EXTI0_IRQn
#define CH395_RST_Pin GPIO_PIN_12
#define CH395_RST_GPIO_Port GPIOF
#define CH395_TXD_Pin GPIO_PIN_13
#define CH395_TXD_GPIO_Port GPIOF
#define CH395_SCS_Pin GPIO_PIN_14
#define CH395_SCS_GPIO_Port GPIOF
#define CH395_INT_Pin GPIO_PIN_15
#define CH395_INT_GPIO_Port GPIOF
#define Beep_Pin GPIO_PIN_10
#define Beep_GPIO_Port GPIOB
#define ADS7843_CS_Pin GPIO_PIN_12
#define ADS7843_CS_GPIO_Port GPIOB
#define SCK_TOUCH_Pin GPIO_PIN_13
#define SCK_TOUCH_GPIO_Port GPIOB
#define MISO_TOUCH_Pin GPIO_PIN_14
#define MISO_TOUCH_GPIO_Port GPIOB
#define MOSI_TOUCH_Pin GPIO_PIN_15
#define MOSI_TOUCH_GPIO_Port GPIOB
#define ADS7843_INT_Pin GPIO_PIN_7
#define ADS7843_INT_GPIO_Port GPIOG
#define ADS7843_INT_EXTI_IRQn EXTI9_5_IRQn
#define KeyDown_Pin GPIO_PIN_8
#define KeyDown_GPIO_Port GPIOA
#define KeyDown_EXTI_IRQn EXTI9_5_IRQn
#define KeyRight_Pin GPIO_PIN_3
#define KeyRight_GPIO_Port GPIOD
#define KeyRight_EXTI_IRQn EXTI3_IRQn
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
