#ifndef __TOUCH_H
#define __TOUCH_H
#include "stdint.h"
#include "stdio.h"
#include "stm32f1xx_hal.h"
#include "main.h"

//#define ADS7843_CS_Pin GPIO_PIN_12
//#define ADS7843_CS_GPIO_Port GPIOB
//#define ADS7843_INT_Pin GPIO_PIN_7
//#define ADS7843_INT_GPIO_Port GPIOG
//#define ADS7843_INT_EXTI_IRQn EXTI9_5_IRQn

//#define SCK_TOUCH_Pin GPIO_PIN_13
//#define SCK_TOUCH_GPIO_Port GPIOB
//#define MISO_TOUCH_Pin GPIO_PIN_14
//#define MISO_TOUCH_GPIO_Port GPIOB
//#define MOSI_TOUCH_Pin GPIO_PIN_15
//#define MOSI_TOUCH_GPIO_Port GPIOB


/* Select ADS7843: ChipSelect pin low  */
#define ADS7843_CS_LOW()     HAL_GPIO_WritePin(ADS7843_CS_GPIO_Port, ADS7843_CS_Pin,GPIO_PIN_RESET)
/* Deselect ADS7843: ChipSelect pin high */
#define ADS7843_CS_HIGH()    HAL_GPIO_WritePin(ADS7843_CS_GPIO_Port, ADS7843_CS_Pin, GPIO_PIN_SET)


#define GPIO_ADS7843_INT_VALID   !HAL_GPIO_ReadPin(ADS7843_INT_GPIO_Port, ADS7843_INT_Pin)


    /**SPI2 GPIO Configuration
    PB13     ------> SPI2_SCK
    PB14     ------> SPI2_MISO
    PB15     ------> SPI2_MOSI
    */
	
	
/* pin low  */
#define SPI1_SCK_LOW()     HAL_GPIO_WritePin(SCK_TOUCH_GPIO_Port, SCK_TOUCH_Pin,GPIO_PIN_RESET)
/* pin high */
#define SPI1_SCK_HIGH()    HAL_GPIO_WritePin(SCK_TOUCH_GPIO_Port, SCK_TOUCH_Pin, GPIO_PIN_SET)

/* pin read  */
#define SPI1_MISO_READ()     HAL_GPIO_ReadPin(MISO_TOUCH_GPIO_Port, MISO_TOUCH_Pin)

/* pin low  */
#define SPI1_MOSI_LOW()     HAL_GPIO_WritePin(MOSI_TOUCH_GPIO_Port, MOSI_TOUCH_Pin,GPIO_PIN_RESET)
/* pin high */
#define SPI1_MOSI_HIGH()    HAL_GPIO_WritePin(MOSI_TOUCH_GPIO_Port, MOSI_TOUCH_Pin, GPIO_PIN_SET)

void ADS7843_Init(void);
void ARMJISHU_TouchScreen_ADS7843(void);

#endif
