/********************************** (C) COPYRIGHT *******************************
* File Name          : SPI_HW.C
* Author             : WXF
* Version            : V1.0
* Date               : 2013/12/19
* Description        : CH395оƬ CH395оƬ Ӳ׼SPIӵӲ V1.0
*                      ṩI/Oӿӳ
*******************************************************************************/
#include "CH395SPI.H"
#include "CH395INC.H"
#include "spi.h"
#include "tim.h"
/*******************************************************************************
* Function Name  : Delay_uS
* Description    : ΢뼶ʱ(׼ȷ)
* Input          : delay---ʱֵ
* Output         : None
* Return         : None
*******************************************************************************/
void mDelayuS( UINT8 delay )
{
	//滻Լʱus
	HAL_TimDelay_us(delay);
}

/*******************************************************************************
* Function Name  : Delay_mS
* Description    : 뼶ʱ(׼ȷ)
* Input          : delay---ʱֵ
* Output         : None
* Return         : None
*******************************************************************************/
void mDelaymS( UINT8 delay )
{
	//滻Լʱms
//	HAL_TimDelay_ms(delay);
	HAL_Delay(delay);
}
				   
/*******************************************************************************
* Function Name  : CH395_Port_Init
* Description    : CH395˿ڳʼ
*                  ʹSPIдʱ,Խгʼ
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/
void CH395_PORT_INIT( void )  
{
	//滻ԼĶ˿ڳʼ
//	SPI_InitTypeDef  SPI_InitStructure;
// 	GPIO_InitTypeDef GPIO_InitStructure;
//	
//	/* ʼSPIӿ */
//	CH395_CONFIG_SPI_CLK();
//	CH395_CONFIG_GPIO_CLK();
//  
//	// Configure pins: SCK, MISO and MOSI
//	GPIO_InitStructure.GPIO_Pin = CH395_CLK_PIN;
//	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
//	GPIO_InitStructure.GPIO_Mode =  GPIO_Mode_AF_PP;/* ù */
//	GPIO_Init( CH395_CLK_PORT, &GPIO_InitStructure );
//	
//	
//	GPIO_InitStructure.GPIO_Pin = CH395_MISO_PIN;
//	GPIO_InitStructure.GPIO_Mode =  GPIO_Mode_IPU;/* ù */
//	GPIO_Init( CH395_MISO_PORT, &GPIO_InitStructure );
//	
//	
//	GPIO_InitStructure.GPIO_Pin = CH395_MOSI_PIN ;
//	GPIO_InitStructure.GPIO_Mode =  GPIO_Mode_AF_PP;/* ù */
//	GPIO_Init( CH395_MOSI_PORT, &GPIO_InitStructure );
//		
//	
//	// Configure pins: CS
//	GPIO_InitStructure.GPIO_Pin = CH395_CS_PIN;
//	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
//	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;  			 /*  */
//	GPIO_Init( CH395_CS_PORT, &GPIO_InitStructure );
//	
//	// Configure pins: TX
//	GPIO_InitStructure.GPIO_Pin = CH395_TX_PIN;
//	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
//	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;  			 /*  */
//	GPIO_Init( CH395_TX_PORT, &GPIO_InitStructure );
//	
//	// Configure pins: RST
//	GPIO_InitStructure.GPIO_Pin = CH395_RST_PIN;
//	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
//	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;  			 /*  */
//	GPIO_Init( CH395_RST_PORT, &GPIO_InitStructure );
	
	//TX low
	CH395_TX_PIN_LOW();
	/*CS high */
	CH395_SPI_CS_HIGH();
	
	/* SPI configuration */ 
//	SPI_InitStructure.SPI_Direction = SPI_Direction_2Lines_FullDuplex; /* SPIóߵĵȫ˫ͨ */
//	SPI_InitStructure.SPI_Mode = SPI_Mode_Master;	 				   /* SPI */
//	SPI_InitStructure.SPI_DataSize = SPI_DataSize_8b;				   /* SPI8λݸʽ */
//	SPI_InitStructure.SPI_CPOL = SPI_CPOL_Low;	  					   /* ʱӵʱ */
//	SPI_InitStructure.SPI_CPHA = SPI_CPHA_1Edge;					   /* ʱӵڶʱ */
//	SPI_InitStructure.SPI_NSS = SPI_NSS_Soft;		 				   /* ڲNSSźSSI */
//	SPI_InitStructure.SPI_BaudRatePrescaler = SPI_BaudRatePrescaler_4; /* ԤƵΪ4 */
//	SPI_InitStructure.SPI_FirstBit = SPI_FirstBit_MSB;		   		   /* ʱλǰ */
//	SPI_InitStructure.SPI_CRCPolynomial = 7;			  			  	    
//			  			  	    
//	SPI_Init( USE_SPI, &SPI_InitStructure );

//	/* Enable SPI  */
//	SPI_Cmd( USE_SPI, ENABLE );		
	
	/* ʼж */
//	GPIO_InitStructure.GPIO_Pin = CH395_INT_PIN;
//	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IPU;  				 /*  */
//	GPIO_Init( CH395_INT_PORT, &GPIO_InitStructure );		
}

/*******************************************************************************
* Function Name  : Spi395Exchange
* Description    : ӲSPI8λ
* Input          : d---Ҫ뵽CH395
* Output         : None
* Return         : SPIյ
*******************************************************************************/
UINT8 Spi395Exchange( UINT8 TxData )  
{	
	/* Loop while DR register in not emplty */
//	while(SPI_I2S_GetFlagStatus(USE_SPI, SPI_I2S_FLAG_TXE) == RESET);	
//	while( ( USE_SPI->SR & SPI_I2S_FLAG_TXE ) == RESET );
//	
//	/* Send byte through the SPI1 peripheral */
////	SPI_I2S_SendData(USE_SPI, byte);
//	USE_SPI->DR = d;

//	/* Wait to receive a byte */
////	while(SPI_I2S_GetFlagStatus(USE_SPI, SPI_I2S_FLAG_RXNE) == RESET);
//	while( ( USE_SPI->SR & SPI_I2S_FLAG_RXNE ) == RESET );

//	/* Return the byte read from the SPI bus */
////	return  SPI_I2S_ReceiveData(USE_SPI);
//	return( USE_SPI->DR );	
	UINT8 Rxdata;
    if(HAL_SPI_TransmitReceive(&hspi1,&TxData,&Rxdata,1, 0XFFFFFF) != HAL_OK)    
		Rxdata = 0xFF;
 	return Rxdata;          		    //յ		
}

/*******************************************************************************
* Function Name  : xWriteCH395Cmd
* Description    : CH395д
* Input          : mCmd---ҪдCH395
* Output         : None
* Return         : None
*******************************************************************************/
void xWriteCH395Cmd( UINT8 mCmd )  
{
	CH395_SPI_CS_HIGH();  									 /* ֹ֮ǰδͨxEndCH395CmdֹSPIƬѡ */
	CH395_SPI_CS_HIGH();
	/* ˫I/OģSPIӿ,ôȷѾSPI_SCS,SPI_SCK,SPI_SDIΪ,SPI_SDOΪ뷽 */
	CH395_SPI_CS_LOW();  										 /* SPIƬѡЧ */
	
	/*  */
	Spi395Exchange( mCmd );  									 /*  */
	mDelayuS( 2 );  											 /* ʱ1.5uSȷдڴ1.5uS */
}

/*******************************************************************************
* Function Name  : xWriteCH395Data
* Description    : CH395д
* Input          : mData---ҪдCH395
* Output         : None
* Return         : None
*******************************************************************************/
void xWriteCH395Data( UINT8 mData ) 
{
	Spi395Exchange( mData );  									 /*  */
}

/*******************************************************************************
* Function Name  : xReadCH395Data
* Description    : CH395
* Input          : None
* Output         : None
* Return         : ضȡ
*******************************************************************************/
UINT8 xReadCH395Data( void ) 
{
	return( Spi395Exchange( 0xFF ) );  	
}

#define	xEndCH395Cmd()	{ CH395_SPI_CS_HIGH(); }  			 /* SPIƬѡЧ,CH395,SPIӿڷʽ */

/*******************************************************************************
* Function Name  : Query395Interrupt
* Description    : ѯCH395ж(INT#͵ƽ)
* Input          : None
* Output         : None
* Return         : ж״̬
*******************************************************************************/
UINT8 Query395Interrupt( void )
{
	return( CH395_INT_PIN_INPUT() ? FALSE : TRUE );  
}

/*******************************************************************************
* Function Name  : CH395_RST
* Description    : λ CH395
* Input          : None
* Output         : None
* Return         : ж״̬
*******************************************************************************/
void CH395_RST( void )
{
	CH395_RST_PIN_LOW();
	mDelaymS(250);
	CH395_RST_PIN_HIGH();
	mDelaymS(250);
}


