
#ifndef __CH395SPI_H_
#define __CH395SPI_H_

#include "CH395INC.H"
#include "main.h"

/*******************************GPIO (Լ޸)****************************************/
//ʹõSPI
#define USE_SPI SPI1

////SPI_CS  --  ģSCS
//#define CH395_CS_PORT    GPIOB
//#define CH395_CS_PIN     GPIO_Pin_7
////SPI_CLK --   ģSCK
//#define CH395_CLK_PORT   GPIOC
//#define CH395_CLK_PIN    GPIO_Pin_10
////SPI_MISO --  ģSDO
//#define CH395_MISO_PORT  GPIOC
//#define CH395_MISO_PIN   GPIO_Pin_11
////SPI_MOSI --  ģSDI
//#define CH395_MOSI_PORT  GPIOC
//#define CH395_MOSI_PIN   GPIO_Pin_12
////RST --  ģRST
//#define CH395_RST_PORT  GPIOB
//#define CH395_RST_PIN   GPIO_Pin_8
////TX --  ģTX
//#define CH395_TX_PORT  GPIOB
//#define CH395_TX_PIN   GPIO_Pin_6
////INT  -- ģINT (⵽ŵ͵ƽź֮ٻȡ)
//#define CH395_INT_PORT  GPIOB
//#define CH395_INT_PIN   GPIO_Pin_9

//#define CH395_TXD_Pin GPIO_PIN_6
//#define CH395_TXD_GPIO_Port GPIOB
//#define CH395_SCS_Pin GPIO_PIN_7
//#define CH395_SCS_GPIO_Port GPIOB
//#define CH395_RST_Pin GPIO_PIN_8
//#define CH395_RST_GPIO_Port GPIOB
//#define CH395_INT_Pin GPIO_PIN_9
//#define CH395_INT_GPIO_Port GPIOB
/***********************************************************************/

#define CH395_SPI_CS_LOW()    HAL_GPIO_WritePin(CH395_SCS_GPIO_Port, CH395_SCS_Pin, GPIO_PIN_RESET)  /*CS*/
#define CH395_SPI_CS_HIGH()   HAL_GPIO_WritePin(CH395_SCS_GPIO_Port, CH395_SCS_Pin, GPIO_PIN_SET)  /*CS*/

#define CH395_RST_PIN_HIGH()  HAL_GPIO_WritePin(CH395_RST_GPIO_Port, CH395_RST_Pin, GPIO_PIN_SET)   /*RST*/
#define CH395_RST_PIN_LOW()   HAL_GPIO_WritePin(CH395_RST_GPIO_Port, CH395_RST_Pin, GPIO_PIN_RESET)   /*RST*/

#define CH395_TX_PIN_HIGH()   HAL_GPIO_WritePin(CH395_TXD_GPIO_Port, CH395_TXD_Pin, GPIO_PIN_SET)  /*TX*/
#define CH395_TX_PIN_LOW()    HAL_GPIO_WritePin(CH395_TXD_GPIO_Port, CH395_TXD_Pin, GPIO_PIN_RESET)  /*TX*/

#define CH395_INT_PIN_INPUT()    HAL_GPIO_ReadPin(CH395_INT_GPIO_Port,CH395_INT_Pin)   /* ȡINTƽ */   

/*******************************************************************************
* Function Name  : Delay_uS
* Description    : ΢뼶ʱ(׼ȷ)
* Input          : delay---ʱֵ
* Output         : None
* Return         : None
*******************************************************************************/
void mDelayuS( UINT8 delay );

/*******************************************************************************
* Function Name  : Delay_mS
* Description    : 뼶ʱ(׼ȷ)
* Input          : delay---ʱֵ
* Output         : None
* Return         : None
*******************************************************************************/
void mDelaymS( UINT8 delay );


/*******************************************************************************
* Function Name  : CH395_Port_Init
* Description    : CH395˿ڳʼ
*                  ʹSPIдʱ,Խгʼ
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/
void CH395_PORT_INIT( void );


/*******************************************************************************
* Function Name  : xWriteCH395Cmd
* Description    : CH395д
* Input          : mCmd---ҪдCH395
* Output         : None
* Return         : None
*******************************************************************************/
void xWriteCH395Cmd( UINT8 mCmd );



/*******************************************************************************
* Function Name  : xWriteCH395Data
* Description    : CH395д
* Input          : mData---ҪдCH395
* Output         : None
* Return         : None
*******************************************************************************/
void xWriteCH395Data( UINT8 mData );

/*******************************************************************************
* Function Name  : xReadCH395Data
* Description    : CH395
* Input          : None
* Output         : None
* Return         : ضȡ
*******************************************************************************/
UINT8 xReadCH395Data( void );

/*******************************************************************************
* Function Name  : CH395_RST
* Description    : λ CH395
* Input          : None
* Output         : None
* Return         : ж״̬
*******************************************************************************/
void CH395_RST( void );


UINT8 Query395Interrupt( void );

#endif

